﻿/*登录弹窗关闭和选项卡切换 */
seajs.use(['jquery', 'layer'],
    function ($) {
        $(".pop-login .login-box .tit a").click(function () {
            var index = $(this).index();

            $(this).addClass("on").siblings().removeClass("on");
            $(".pop-login .login-box .static-module-covers>div").hide().eq(index).show();
            $("#btnLogin a").hide().eq(index).show();
        });

        $("#btn-close").click(function () {
            $("#pop-ups").hide();
        });
    });
/*登录弹窗 获取图片验证码 */
seajs.use(['jquery', 'layer'],
    function ($) {
        $("#userLoginForm input[name='userName']").blur(function () {
            var phone = $(this).val();
            $("#imgCode").attr("src", ajaxHttpRquestUrl.getVerifyImageCode(phone));
        });

        $("#imgCode").click(function () {
            var phone = $("#userLoginForm input[name='userName']").val();
            $("#imgCode").attr("src", ajaxHttpRquestUrl.getVerifyImageCode(phone));
        });
    });
/*登录弹窗 提示用户输入的图片验证码是否正确 */
seajs.use(['jquery', 'layer'],
    function ($) {
        $("#txtCode").keyup(function () {
            var phone = $("#userLoginForm input[name='userName']").val();
            var imgCode = $(this).val();

            $.ajax({
                type: "get",
                url: ajaxHttpRquestUrl.CheckImageCode,
                data: { mobile: phone, tagCode: imgCode },
                success: function (result) {
                    if (result.OperatResult)
                        $("#imgCodeTip").attr("class", "code-succ");
                    else
                        $("#imgCodeTip").attr("class", "code-error");
                }
            });

        });
    });
/*登录弹窗 用户普通登录操作 */
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($, cookie, regular) {
        cookie($);
        $.cookie("sjq_user_login_id", Date.now());
        var token = $('[name=__RequestVerificationToken]').val();

        $("#userNormalLogin").click(function () {
            login();
        });

        function login() {
            var userName = $("#userLoginForm input[name='userName']").val().trim();
            var userPwd = $("#userLoginForm input[name='userPwd']").val().trim();
            var imgCode = $("#txtCode").val();

            if (userName.length == 0 || userPwd.length == 0) {
                layer.msg('用户名或密码不能为空。');
                return false;
            }
            if (!regular.verifyMobile(userName)) {
                layer.msg('请输入正确的手机号。');
                return false;
            }

            if (userPwd.length <= 5) {
                layer.msg("请输入正确密码");
                return false;
            }

            $.ajax({
                type: "Post",
                url: ajaxHttpRquestUrl.DoActionLogin,
                data: {
                    UserName: userName,
                    PassWord: userPwd,
                    Channel: 'Web_PC',
                    ImgCode: imgCode,
                    IsSave: false,
                    __RequestVerificationToken: token
                },
                success: function (result) {
                    layer.msg(result.OperatMessage);
                    if (result.OperatResult) {
                        $('#userLoginForm')[0].reset();
                        $("#pop-ups").hide();
                        location.reload();
                    }
                }
            });
        }
    });


seajs.use(['jquery', 'regular', 'layer'],
    function ($, regular) {
        /*滑动验证*/
        var mvcToken = $('[name=__RequestVerificationToken]').val();
        var nc_csessionid = "";
        var nc_sig = "";
        var nc_token = ["FFFF0N00000000006B8B", (new Date()).getTime(), Math.random()].join(':');
        var NC_Opt =
            {
                renderTo: "#nc-container",
                appkey: "FFFF0N00000000006B8B",
                scene: "nc_message",
                token: nc_token,
                customWidth: 290,
                trans: { "key1": "code0" },
                elementID: ["usernameID"],
                is_Opt: 0,
                language: "cn",
                isEnabled: true,
                timeout: 3000,
                times: 5,
                apimap: {
                },
                callback: function (data) {
                    $("#timeCode").show();
                    nc_csessionid = data.csessionid;
                    nc_sig = data.sig;
                }
            }
        var nc = new noCaptcha(NC_Opt);

        /*获取短信验证码*/
        $("#btnGetSmsCode").click(function () {
            if (!nc_csessionid || !nc_sig) {
                layer.msg("请先滑动滑块。");
                return false;
            }

            phoneLogin(nc_token, nc_csessionid, nc_sig);
        });

        function phoneLogin(token, csessionid, sig) {
            var mobile = $("#sms-phone").val();
            if (!regular.verifyMobile(mobile)) {
                layer.msg('请输入正确的手机号。');
                return false;
            }
            var input = {
                Mobile: mobile,
                SessionId: csessionid,
                Sig: sig,
                Token: token,
                __RequestVerificationToken: mvcToken
            };
            $.ajax({
                type: "post",
                url: ajaxHttpRquestUrl.SendSmsCode,
                data: input,
                success: function (result) {
                    layer.msg(result.OperatMessage);

                    if (result.OperatResult) {
                        $("#btnGetSmsCode").hide();
                        $("#btnTime").show();

                        var interval = setInterval(function () {
                            var timeSpanHtml = $("#btnTime span");
                            var timeNum = parseInt(timeSpanHtml.html());

                            if (timeNum <= 0) {
                                $("#btnGetSmsCode").show();
                                $("#btnTime").hide();
                                timeSpanHtml.html(60);
                                clearInterval(interval);
                            } else {
                                timeSpanHtml.html(--timeNum);
                            }
                        },
                            1000);
                    }
                }
            });
        }
    });
/*用户短信登录操作 */
seajs.use(['jquery', 'regular', 'layer'],
    function ($, regular) {
        $("#userPhoneLogin").click(function () {
            var mobile = $("#sms-phone").val();
            var smsCode = $("#txtSmsCode").val();
            var mvcToken = $('[name=__RequestVerificationToken]').val();

            if (!regular.verifyMobile(mobile)) {
                layer.msg('请输入正确的手机号。');
                return false;
            }
            if (!smsCode) {
                layer.msg('请输入短信验证码。');
                return false;
            }
            var input = { UserName: mobile, SmsCode: smsCode, __RequestVerificationToken: mvcToken };
            $.ajax({
                type: "Post",
                url: ajaxHttpRquestUrl.DoActionQuick,
                data: input,
                success: function (result) {
                    layer.msg(result.OperatMessage);
                    if (result.OperatResult) {
                        $('#phoneLoginForm')[0].reset();
                        $("#pop-ups").hide();
                        __nc.reset();
                        location.reload();
                    }
                }
            });
        });
    });